All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
dims.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
void | stan::math::dims (const T &x, std::vector< int > &result)
template<typename T , int R, int C>
void | stan::math::dims (const Eigen::Matrix< T, R, C > &x, std::vector< int > &result)
template<typename T >
void | stan::math::dims (const std::vector< T > &x, std::vector< int > &result)
template<typename T >
std::vector< int > | stan::math::dims (const T &x)

[ Stan Home Page ] © 2011–2015, Stan Development Team.